X2Go Bug report logs - #29
LD_LIBRARY_PATH gets purged when x2goserver-xsession is in use

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 14 Sep 2012 14:38:45 UTC

Severity: normal

Tags: pending

Found in version 3.1.1.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
Bug#29; Package x2goserver-xsession. (Fri, 14 Sep 2012 14:38:45 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to git-admin@x2go.org. (Fri, 14 Sep 2012 14:38:45 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: LD_LIBRARY_PATH gets purged when x2goserver-xsession is in use
Date: Fri, 14 Sep 2012 16:38:05 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver-xsession
Version: 3.1.1.3
Severity: normal

The X2Go script x2goruncommand sets a X2Go-customized LD_LIBRARY_PATH  
to enable X2Go's Xinerama feature.

If the package x2goserver-xsession is not installed, then the  
LD_LIBRARY_PATH gets set for applications inside the X2Go session.

However, if the package x2goserver-xsession is in use, the  
LD_LIBRARY_PATH env variable is not set for applications inside the  
X2Go session.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
Bug#29; Package x2goserver-xsession. (Fri, 14 Sep 2012 15:33:01 GMT) (full text, mbox, link).


Message #8 received at 29@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#29: LD_LIBRARY_PATH gets purged when x2goserver-xsession is in use
Date: Fri, 14 Sep 2012 17:30:10 +0200
[Message part 1 (text/plain, inline)]
Hi again,

On Fr 14 Sep 2012 16:38:05 CEST Mike Gabriel wrote:

> Package: x2goserver-xsession
> Version: 3.1.1.3
> Severity: normal
>
> The X2Go script x2goruncommand sets a X2Go-customized  
> LD_LIBRARY_PATH  to enable X2Go's Xinerama feature.
>
> If the package x2goserver-xsession is not installed, then the   
> LD_LIBRARY_PATH gets set for applications inside the X2Go session.
>
> However, if the package x2goserver-xsession is in use, the   
> LD_LIBRARY_PATH env variable is not set for applications inside the   
> X2Go session.

This might happen due to some setuid/setgid application in the middle  
that gets called via Xsession startup.
http://superuser.com/questions/27376/why-does-my-ld-library-path-get-unset-launching-terminal

Any other ideas?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]
[Message part 3 (text/plain, inline)]
_______________________________________________
X2Go-Dev mailing list
X2Go-Dev@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-dev

Information forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
Bug#29; Package x2goserver-xsession. (Fri, 14 Sep 2012 19:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to git-admin@x2go.org. (Fri, 14 Sep 2012 19:03:01 GMT) (full text, mbox, link).


Message #13 received at 29@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 29@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#29: LD_LIBRARY_PATH gets purged when x2goserver-xsession is in use
Date: Fri, 14 Sep 2012 20:53:45 +0200
[Message part 1 (text/plain, inline)]
Hi again,

On Fr 14 Sep 2012 16:38:05 CEST Mike Gabriel wrote:

> Package: x2goserver-xsession
> Version: 3.1.1.3
> Severity: normal
>
> The X2Go script x2goruncommand sets a X2Go-customized   
> LD_LIBRARY_PATH  to enable X2Go's Xinerama feature.
>
> If the package x2goserver-xsession is not installed, then the    
> LD_LIBRARY_PATH gets set for applications inside the X2Go session.
>
> However, if the package x2goserver-xsession is in use, the    
> LD_LIBRARY_PATH env variable is not set for applications inside the   
>  X2Go session.

This might happen due to some setuid/setgid application in the middle   
that gets called via Xsession startup.
http://superuser.com/questions/27376/why-does-my-ld-library-path-get-unset-launching-terminal

Any other ideas?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

[Message part 2 (application/pgp-signature, inline)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
Bug#29; Package x2goserver-xsession. (Fri, 14 Sep 2012 20:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to git-admin@x2go.org. (Fri, 14 Sep 2012 20:48:02 GMT) (full text, mbox, link).


Message #18 received at 29@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 29@bugs.x2go.org
Subject: ssh-agent (setgid application) erased LD_LIBRARY_PATH
Date: Fri, 14 Sep 2012 22:43:18 +0200
[Message part 1 (text/plain, inline)]
tags #29 pending fixed
thanks

The reason for LD_LIBRARY_PATH disappearing when x2goserver-xsession  
was in use is described here:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/47958

The missing LD_LIBRARY_PATH in X2Go sessions

  (a) causes Xinerama support to fail
  (b) let's Kubuntu 12.04 crash

For (b) please refer to:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=28
https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
https://bugs.kde.org/show_bug.cgi?id=300515

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed and pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Sep 2012 20:54:14 GMT) (full text, mbox, link).


Removed tag(s) fixed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Sep 2012 20:55:36 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
Bug#29; Package x2goserver-xsession. (Fri, 14 Sep 2012 20:59:08 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to git-admin@x2go.org. (Fri, 14 Sep 2012 20:59:08 GMT) (full text, mbox, link).


Message #27 received at 29@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 29@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: 29@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#29: ssh-agent (setgid application) erased LD_LIBRARY_PATH
Date: Fri, 14 Sep 2012 22:59:00 +0200
[Message part 1 (text/plain, inline)]
Hi all,

On Fr 14 Sep 2012 22:43:18 CEST Mike Gabriel wrote:

> tags #29 pending fixed
> thanks
>
> The reason for LD_LIBRARY_PATH disappearing when x2goserver-xsession  
>  was in use is described here:
> https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/47958
>
> The missing LD_LIBRARY_PATH in X2Go sessions
>
>   (a) causes Xinerama support to fail
>   (b) let's Kubuntu 12.04 crash
>
> For (b) please refer to:
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=28
> https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
> https://bugs.kde.org/show_bug.cgi?id=300515

This commit should have fixed the issue:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=0b3c71ca7b6e3681a2ade80346621b22ffa7f255

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#29; Package x2goserver-xsession. (Fri, 21 Sep 2012 21:18:11 GMT) (full text, mbox, link).


Acknowledgement sent to <jameswille@capitalmanagementlenders.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Sep 2012 21:18:11 GMT) (full text, mbox, link).


Message #32 received at 29@bugs.x2go.org (full text, mbox, reply):

From: "Willeford, James"<jameswille@capital.com>
Subject: Waiting to hear from you
Date: Fri, 21 Sep 2012 11:11:16 -0500

Hi,


I hope this e-mail message finds you in good health and please pardon my letter of intent if it did intrude on your privacy. Your contact is based on directive from a private client Mr. John Tsang Chun-wah, based in Hong Kong who intends to invest in your Country. Your high profile position has attracted him and suits his demand. He needs someone with vast experience and capability to handle a good investment portfolio. Figures will be discussed with you as we proceed.


My client seeks to invest in public and private securities in a broad range of areas including real estate, energy, oil and gas, emerging markets and high-technology. Within the technology sector, he focuses on communications, software and digital content and services.


Following the present financial meltdown and weak economic situation in Europe, my client wouldn't want to lose his entire investments in Europe; he wishes to move them to your Country of residence with you as the investment manager. This involves bonds with HypoVereins (UniCredit) Group and La Caixa Bank of Spain.


If this is of interest; kindly provide me with your direct telephone and fax number to ease communication.


Regards,

 

James Willeford
President.
Capital Management Lenders

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#29; Package x2goserver-xsession. (Fri, 21 Sep 2012 21:18:11 GMT) (full text, mbox, link).


Acknowledgement sent to <jameswille@capitalmanagementlenders.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Sep 2012 21:18:11 GMT) (full text, mbox, link).


Message #37 received at 29-submit@bugs.x2go.org (full text, mbox, reply):

From: "Willeford, James"<jameswille@capital.com>
Subject: Waiting to hear from you
Date: Fri, 21 Sep 2012 11:11:18 -0500

Hi,


I hope this e-mail message finds you in good health and please pardon my letter of intent if it did intrude on your privacy. Your contact is based on directive from a private client Mr. John Tsang Chun-wah, based in Hong Kong who intends to invest in your Country. Your high profile position has attracted him and suits his demand. He needs someone with vast experience and capability to handle a good investment portfolio. Figures will be discussed with you as we proceed.


My client seeks to invest in public and private securities in a broad range of areas including real estate, energy, oil and gas, emerging markets and high-technology. Within the technology sector, he focuses on communications, software and digital content and services.


Following the present financial meltdown and weak economic situation in Europe, my client wouldn't want to lose his entire investments in Europe; he wishes to move them to your Country of residence with you as the investment manager. This involves bonds with HypoVereins (UniCredit) Group and La Caixa Bank of Spain.


If this is of interest; kindly provide me with your direct telephone and fax number to ease communication.


Regards,

 

James Willeford
President.
Capital Management Lenders

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#29; Package x2goserver-xsession. (Tue, 25 Sep 2012 14:39:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 25 Sep 2012 14:39:03 GMT) (full text, mbox, link).


Message #42 received at 29@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 28@bugs.x2go.org, 29@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Closing X2Go bugs after release of X2Go Server 3.1.1.4
Date: Tue, 25 Sep 2012 16:37:19 +0200
[Message part 1 (text/plain, inline)]
close #28
close #29
thanks

Closing X2Go Server bugs:

  The released version 3.1.1.4 closes:
  http://bugs.x2go.org/28
  http://bugs.x2go.org/29

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 25 Sep 2012 14:39:05 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 25 Sep 2012 14:39:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <git-admin@x2go.org> to internal_control@bugs.x2go.org. (Wed, 24 Oct 2012 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Mar 5 11:39:12 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.